extern crate time;

use super::Sensor;

pub struct TimeSensor {
    format: String,
    is_utc: bool
}

impl TimeSensor {
    pub fn new(format: &str, is_utc: bool) -> TimeSensor {
        TimeSensor {
            format: format.to_string(),
            is_utc: is_utc
        }
    }
}

impl Sensor for TimeSensor {
    fn status(&mut self) -> String {
        let now =
            if self.is_utc {
                time::now_utc()
            }
            else {
                time::now()
            };


        let time = time::strftime(&self.format, &now);
        time.unwrap()
    }
}

